#!/bin/sh
# SPDX-License-Identifier: ACSL
# SPDX-FileCopyrightText: © 2019 Mopi
# SPDX-FileCopyrightText: © 2020 Antoine Le Gonidec <vv221@dotslashplay.it>
set -o errexit

###
# Din's Curse
# send your bug reports to bugs@dotslashplay.it
###

script_version=20260629.2

PLAYIT_COMPATIBILITY_LEVEL=2.35

GAME_ID='dins-curse'
GAME_NAME='Din’s Curse'

ARCHIVE_BASE_0_NAME='gog_din_s_curse_2.0.0.6.sh'
ARCHIVE_BASE_0_MD5='abead770d1fe9a2c7adb6d250318b698'
ARCHIVE_BASE_0_SIZE=161476
ARCHIVE_BASE_0_VERSION='1.034-1'

CONTENT_PATH_DEFAULT='data/noarch/game'
CONTENT_GAME_MAIN_FILES='
DinsCurse
Assets
User'
# TODO: Is this icon required?
CONTENT_GAME0_MAIN_FILES='
DCIcon.png'
CONTENT_DOC_MAIN_FILES='
changes.txt
manual.txt
OtherLicenses.txt
ReadmeLinux.txt'

APP_MAIN_EXE='DinsCurse'
APP_MAIN_ICON='DCIcon.png'

PKG_MAIN_ARCH='32'
PKG_MAIN_DEPENDENCIES_LIBRARIES='
libc.so.6
libdl.so.2
libGL.so.1
libm.so.6
libopenal.so.1
libpthread.so.0
librt.so.1'
# Easier upgrades from pre-20260629.1 packages
PKG_MAIN_PROVIDES='
dins-curse-data'

# Load common functions.

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_dir in \
		"$PWD" \
		"${HOME}/.local/lib/play.it" \
		'/usr/local/lib/play.it' \
		'/usr/lib/play.it'
	do
		playit_lib_path="${playit_lib_dir}/libplayit.sh.2"
		if [ -e "$playit_lib_path" ]; then
			PLAYIT_LIB2="$playit_lib_path"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit.sh.2 not found.\n'
	exit 1
fi
. "$PLAYIT_LIB2"

# Run default initialisation actions.

initialization_default "$@"

# Extract game data.

archive_extraction_default

# Include game data.

content_inclusion_icons
content_inclusion_default

# Write launchers.

# Force the use of system-provided SDL.
# Prevent a game crash when using the Wayland video backend of SDL.
APP_MAIN_PRERUN="$(application_prerun APP_MAIN)
$(launcher_tweak_sdl_override)
$(launcher_tweak_sdl_force_x11)"
PKG_MAIN_DEPENDENCIES_LIBRARIES="$(dependencies_libraries_list PKG_MAIN)
libSDL2-2.0.so.0"

launchers_generation

# Build packages.

packages_generation
print_instructions

# Clean up.

working_directory_cleanup

exit 0
